Skip to main content
This section lists all currently deprecated features in the SkillEngine API. Deprecated features will be supported for a certain period of time before being removed. We recommend updating your integration to use the newer alternatives as soon as possible.

March 2026

  • Deprecated the Suggested Skill Profile endpoints. Use the corresponding Skill Profile endpoints instead. The following endpoints are affected:
    • GET /job_architecture/jobs/{job_external_id}/suggested_skill_profile
    • GET /job_architecture/job_families/{job_family_external_id}/suggested_skill_profile
    • POST /job_architecture/export/jobs/suggested_skill_profiles
    • POST /job_architecture/export/job_families/suggested_skill_profiles

January 2026

  • Deprecated the GET /taxonomy/changes endpoint. This endpoint will be replaced by the newly introduced POST /taxonomy/changes endpoint.

December 2023

  • Introduced a skill_id field alongside Skill names in our API endpoints to avoid ambiguities and conflicts. Using Skill names in a request body to denote or update a Skill is deprecated, please use skill_id instead. Existing functionality is backward-compatible. The following endpoints are affected:
    • PATCH /employees/{external_id}/skill_profile
    • PATCH /job_architecture/job_families/{job_family_external_id}/skill_profile
    • PATCH /job_architecture/jobs/{job_external_id}/skill_profile
    • PATCH /vacancies/{external_id}/skill_profile
    • PATCH /courses/{external_id}/skill_profile
    • PATCH /occupations/{external_id}/skill_profile